Bug 56018 - lilo -R does not work in 7.2 for software-raid-on-root
lilo -R does not work in 7.2 for software-raid-on-root
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: lilo (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-10 17:05 EST by Pekka Savola
Modified: 2007-04-18 12:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-17 18:03:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2001-11-10 17:05:02 EST
Description of Problem:

lilo -R stopped around 7.2.  I believe this has something to do with 
software-raid on root that's being used, see below.

Version-Release number of selected component (if applicable):

lilo-21.4.4-14

How Reproducible:

Steps to Reproduce:
1. lilo -R linux-old
2. reboot
3. 

Actual Results:

'linux' being loaded after the timeout.

Expected Results:

linux-old being loaded at boot.

Additional Information:

--8<--	
# /sbin/lilo        
boot = /dev/hdc, map = /boot/map.1601
Added linux-old
Added linux *
boot = /dev/hda, map = /boot/map.0301
Added linux-old
Added linux *

# lilo -v -R linux-old   
LILO version 21.4-4, Copyright (C) 1992-1998 Werner Almesberger
'lba32' extensions Copyright (C) 1999,2000 John Coffman

boot = /dev/hdc, map = /boot/map.1601
--8<--
Note that apparently lilo -R only updates /dev/hdc map!

However, the raid1 array is in full sync:

--8<--
Personalities : [raid1] 
read_ahead 1024 sectors
md4 : active raid1 hda8[1] hdc8[0]
      2048192 blocks [2/2] [UU]
      
md3 : active raid1 hda7[1] hdc7[0]
      2048192 blocks [2/2] [UU]
      
md2 : active raid1 hda6[1] hdc6[0]
      136448 blocks [2/2] [UU]
      
md1 : active raid1 hda5[1] hdc5[0]
      513984 blocks [2/2] [UU]
      
md0 : active raid1 hda1[1] hdc1[0]
      513984 blocks [2/2] [UU]
      
unused devices: <none>
--8<--

lilo.conf:
--8<--
boot=/dev/md0
map=/boot/map
install=/boot/boot.b
default=linux
prompt
timeout=50
#message=/boot/message
linear

image=/boot/vmlinuz-2.4.9-13
        label=linux-old
        initrd=/boot/initrd-2.4.9-13.img
        read-only
        root=/dev/md0

image=/boot/vmlinuz-2.4.13-0.5
        label=linux
        initrd=/boot/initrd-2.4.13-0.5.img
        read-only
        root=/dev/md0
--8<--
Comment 1 Jeremy Katz 2002-06-04 15:23:36 EDT
Reassigning
Comment 2 Jordan Russell 2002-12-26 14:45:40 EST
I was just hit by this same bug (lilo -R only updates one disk). It is still 
present in Red Hat Linux 8.0.

# lilo
boot = /dev/hdc, map = /boot/map.1602
Added 2.4.19x *
Added 2.4.18-19.8.0
boot = /dev/hda, map = /boot/map.0302
Added 2.4.19x *
Added 2.4.18-19.8.0

# lilo -R 2.4.18-19.8.0
boot = /dev/hdc, map = /boot/map.1602
Comment 3 Peter Jones 2005-03-17 18:03:11 EST
This is ancient, and grub provides this functionality as of FC4t1.  Closing.

Note You need to log in before you can comment on or make changes to this bug.